// 'ThemeFlood' is the global object for ThemeFlood theme functions
var ThemeFlood = {};
// Reduce potential conflicts with other scripts on the page
ThemeFlood.jQuery = jQuery.noConflict(true);
var $ThemeFlood = ThemeFlood.jQuery;
// Create a unique object and namespace for theme functions
ThemeFlood.themeFunctions = {};
// Define a closure
ThemeFlood.themeFunctions = (function() {
  // When jQuery is used it will be available as $ and jQuery but only inside the closure
  var jQuery = ThemeFlood.jQuery;
  var $ = jQuery;
  var $ThemeFlood = jQuery.noConflict();

  // ExtraContent functionality
  $ThemeFlood(document).ready(function() {
    var extraContent = (function() {
      var ecValue = 50;
      for (i = 1; i <= ecValue; i++) {
        $ThemeFlood('#myExtraContent' + i + ' script').remove();
        $ThemeFlood('#myExtraContent' + i).appendTo('#extraContainer' + i);
      }
    })();

    // Links with a class of 'newtab' open in new tabs or windows
    $ThemeFlood('a.newtab').append("<span class='newWindowIcon'> <i class='fas fa-external-link-alt'></i></span>");
    $ThemeFlood('a.newtab').click(function() {
      window.open($(this).attr('href'));
      return false;
    });

    // Smooth-scroll links
    $ThemeFlood('#backToTop, .top, .smoothscroll').click(function() {
      if (location.pathname.replace(/^\//, '') == this.pathname.replace(/^\//, '') ||
        location.hostname == this.hostname) {
        var target = $(this.hash);
        target = target.length ? target : $ThemeFlood('[name=' + this.hash.slice(1) + ']');
        if (target.length) {
          $ThemeFlood('html,body').animate({
            scrollTop: target.offset().top
          }, 500);
          return false;
        }
      }
    });

    // FreeStyle banners
    $ThemeFlood('#fs').appendTo('#freeStyle');
    $ThemeFlood("img[src$='banner.jpg'], img[src$='Banner.jpg'], img[src$='header.jpg'], img[src$='Header.jpg'], img[src$='freestyle.jpg'], img[src$='Freestyle.jpg'], img[src$='freestyle.jpg'], img[src$='FreeStyle.jpg']").appendTo('#freeStyle');

    // Function to apply unique class ID's onto each list item
    $ThemeFlood("#nav li").each(function(i) {
      i = i + 1;
      $ThemeFlood(this).addClass("link" + i);
    });
    $ThemeFlood("#nav ul").each(function(i) {
      i = i + 1;
      $ThemeFlood(this).addClass("list" + i);
    });
    $ThemeFlood('#nav li').has('ul').addClass('has-subpages');

    $ThemeFlood("#nav li a").each(function() {
      if ($(this).next().length > 0) {
        $(this).addClass("parent");
      };
    })

    // Mobile navigation
    $ThemeFlood("#nav li a").each(function() {
      if ($ThemeFlood(this).next().length > 0) {
        $ThemeFlood(this).addClass("parent");
      };
    })

    var raftparent = $('#nav li a.parent');
    $ThemeFlood('<div class="more"><i class="fas fa-angle-down"></i>').insertBefore(raftparent);
    $ThemeFlood('.more').click(function() {
      $(this).parent('li').toggleClass('open');
    });
    $ThemeFlood('#navButton').click(function() {
      $('#nav').toggleClass('menu-open');
    });

    // If a touch device is detected, add 'touchDevice' class to the page
    if (/Android|webOS|iPhone|iPad|iPod|BlackBerry/i.test(navigator.userAgent)) {
      $ThemeFlood('body').addClass('RaftTouchDevice');
    }

    // Prepend Bootstrap modals to the body tag, to avoid buggy z-index
    $ThemeFlood('.modal').appendTo($('body'));

  });

})(ThemeFlood.themeFunctions);
